Bug 818 - (G,S) guest account
(G,S) guest account
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 00:02 UTC by Benno Leslie
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Benno Leslie 2003-11-26 00:02:03 UTC
The documentation (man 5 smb.conf) suggests that the "guest account" option is
suitable in global or service section, however in practise it only works in the
global section:

[2003/11/26 18:30:30, 0] param/loadparm.c:lp_do_parameter(3176) Global parameter
guest account found in service section!

This is either a documentation bug, in which case it is trivial. However I think
it is an implementation bug, because you really want to have different guest
accounts for different services, in which case it becomes a lot less trivial.
(Well at least for someone unfamiliar for the source tree).
Comment 1 Gerald (Jerry) Carter 2003-11-27 06:52:35 UTC
documentation bug.  Fixed.  The guest account is a global parameter
in 3.0.0.  Can't really be fixed given the current authentication 
framework.
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:18:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.